# for RedHatLinux7.x

Summary: YC - Yet another Canna client
Name: yc
Version: 4.0.5
Release: 1ih
License: GPL
Group: Applications/Text
URL: http://www.ceres.dti.ne.jp/~knak/yc.html
Source0: http://www.ceres.dti.ne.jp/~knak/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: emacs, Canna

%description
YC is a Japanese language input method client for Emacs.
YC can convert ASCII (, NUMBER and HANKAKU-KATAKANA) into KANJI
or KANA into KANJI.
If cannaserver supports inet domain socket, YC can connect to it
with emacs-lisp only.
If cannaserver supports unix domain socket, YC can connect to it
with 'icanna' command (included in YC 4.0.0 or later).
YC is made of emacs-lisp and external command only, so you don't
need to patch on Emacs.

%prep
%setup -q

%build
make prefix=/usr

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}/usr/share/emacs/site-lisp
make install prefix=%{buildroot}/usr

%clean
rm -rf %{buildroot}

# %post
# cat >> /home/hiroki/.emacs <<END_OF_LINE
# 
# ;; YC
# ;;(setq yc-rK-trans-key [?\C-\o])
# (load "yc")
# (global-yc-mode)  ;enable converting ASCII to KANJI for all buffers
# (setq yc-use-color t)
# (setq yc-use-fence (not (eq window-system 'x)))
# (global-set-key "\M-\ " 'yc-mode)
# (setq yc-canna-lib-path "/var/canna/lib")
# (setq yc-canna-dic-path "/var/lib/canna/dic")
# (setq yc-icanna-path "/usr/bin/icanna")
# (setq yc-enable-hankaku nil)
# END_OF_LINE

%files
%attr(755,root,root) /usr/bin/icanna
%attr(644,root,root) /usr/share/emacs/site-lisp/yc.elc
%attr(644,root,root) /usr/share/emacs/site-lisp/yc.el


%changelog
* Thu Dec 25 2003 Itou Hiroki <hiroki@sm.sony.co.jp> 
- Initial build.
